> For the complete documentation index, see [llms.txt](https://docs.goproxies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goproxies.com/proxies/dedicated-datacenter-proxies/proxy-parameters/list-of-clients-ips.md).

# List of client's IPs

To view list of IPs client has:

{% tabs %}
{% tab title="cURL" %}

```bash
curl https://username:password@hosting.goproxies.com/ip-list
```

{% endtab %}

{% tab title="JavaScript" %}

```bash
npm install axios
```

```javascript
// ip_list.js
const axios = require('axios');

(async () => {
  try {
    const res = await axios.get('https://hosting.goproxies.com/ip-list', {
      auth: { username: 'username', password: 'password' },
      timeout: 10000
    });
    console.log('status:', res.status);
    console.log('body:', res.data);
  } catch (err) {
    console.error('request error:', err.message);
    if (err.response) console.error('status code:', err.response.status);
  }
})();
```

{% endtab %}

{% tab title="Python" %}

```python
# ip_list.py
import requests

username = "username"
password = "password"

resp = requests.get("https://hosting.goproxies.com/ip-list", auth=(username, password), timeout=10)
print(resp.status_code)
print(resp.text)
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"os"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hosting.goproxies.com/ip-list", nil)
	req.SetBasicAuth("username", "password")

	client := &http.Client{}
	resp, err := client.Do(req)
	if err != nil {
		fmt.Println("request error:", err)
		os.Exit(1)
	}
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println("status:", resp.Status)
	fmt.Println(string(body))
}
```

{% endtab %}

{% tab title="Java" %}

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

public class IpList {
  public static void main(String[] args) throws Exception {
    String username = "username";
    String password = "password";
    String auth = Base64.getEncoder().encodeToString((username + ":" + password).getBytes());

    HttpClient client = HttpClient.newHttpClient();
    HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://hosting.goproxies.com/ip-list"))
        .header("Authorization", "Basic " + auth)
        .GET()
        .build();

    HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
    System.out.println(response.statusCode());
    System.out.println(response.body());
  }
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
# ip_list.rb
require 'net/http'
require 'uri'

uri = URI('https://hosting.goproxies.com/ip-list')
req = Net::HTTP::Get.new(uri)
req.basic_auth('username', 'password')

res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
  http.request(req)
end

puts res.code
puts res.body
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$ch = curl_init('https://hosting.goproxies.com/ip-list');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_USERPWD, 'username:password'); // basic auth
$response = curl_exec($ch);
if ($response === false) {
    echo 'cURL error: ' . curl_error($ch) . PHP_EOL;
} else {
    echo $response . PHP_EOL;
}
curl_close($ch);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.goproxies.com/proxies/dedicated-datacenter-proxies/proxy-parameters/list-of-clients-ips.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
